## Tcl8.6.0/Tk8.6.0 Documentation > Tk C API, version 8.6.0 > Inactive

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tk_GetUserInactiveTime, Tk_ResetUserInactiveTime — discover user inactivity time

### SYNOPSIS

#include <tk8.6/tk.h>
long
Tk_GetUserInactiveTime(display)
Tk_GetUserInactiveTime(display)

### ARGUMENTS

Display *display (in)
  The display on which the user inactivity timer is to be queried or reset.

### DESCRIPTION

Tk_GetUserInactiveTime returns the number of milliseconds that have passed since the last user interaction (usually via keyboard or mouse) with the respective display. On systems and displays that do not support querying the user inactiviy time, -1 is returned. Tk_GetUserInactiveTime resets the user inactivity timer of the given display to zero. On windowing systems that do not support multiple displays display can be passed as NULL.

### KEYWORDS

idle, inactive
Copyright © 1998-2000 by Scriptics Corporation.